## ncbi-tools6 6.1.20170106%2Bdfsg2

=== debian/changelog ===
ncbi-tools6 (6.1.20170106+dfsg2-7) unstable; urgency=medium

  * debian/.ncbirc: Belatedly set [BLAST]BLASTDB to /usr/share/ncbi/data.
    (See #1117994.)
  * Always return a value from non-void functions.  (Closes: #1123553.)
    - biostruc/cdd/thrd*.[ch] (bwfi, cp[alr]l, cxei, salu, sgoi, slou,
      spe[al], spni, ttb0, zsc): Correct return type to void to match
      implementation and usage.
    - demo/debruijn.c ([Nlm_]Main): Return 0 when not bailing.
    - tools/taxblast.c (RDTaxLookupReset): Return tax_looxup, modified
      in place.
  * Standards-Version: 4.7.3 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 28 Dec 2025 22:30:14 -0500

ncbi-tools6 (6.1.20170106+dfsg2-6) unstable; urgency=medium

  * Fix or work around build-order assumptions caught by
    make --shuffle=reverse. (Closes: #1105544.)
    - debian/rules: Explicitly invoke copy targets before compilation.
    - make/makeall.unx: Build *.glo directly; GCC's on board with it, and
      the current logic breaks when corresponding *.o files don't yet exist.
    - make/makenet.unx: Explicitly build all static libraries encompassed
      by nocopy or given as extra goals before any shared libraries.
  * debian/copyright: Substitute a URL for the FSF's postal address.
    (See #1080497.)
  * Standards-Version: 4.7.2 (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 May 2025 15:40:41 -0400

ncbi-tools6 (6.1.20170106+dfsg2-5) unstable; urgency=medium

  * debian/tests/control: Unconditionally skip network-based tests.  They
    rely on NCBI's ID1 service, which is slated to retire.

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 06 Nov 2024 22:08:28 -0500

ncbi-tools6 (6.1.20170106+dfsg2-4) unstable; urgency=medium

  * debian/control: Drop B-D on obsolete libpcre3-dev.
    (Closes: #1078825.)
  * make/makedemo.unx: Comment out upstream PCRE3 demos and tests, which
    were the only things that needed it and weren't getting installed
    anyway.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 08 Sep 2024 22:50:02 -0400

ncbi-tools6 (6.1.20170106+dfsg2-3) unstable; urgency=medium

  * Fix compilation under GCC 14.  (Closes: #1075307.)
    - algo/blast/api/hspfilter_queue.c: Cast ersatz virtual function
      implementation pointers as appropriate.
    - api/asn2ff{2,4}.c, corelib/ncbimain.c, demo/trna2tbl.c,
      tools/{ncbisort,pattern1}.c, vibrant/vibmain.c: Stop relying on
      implicit int.  (In the case of ncbisort.c, take the opportunity to
      comment out an occurrence of the deprecated keyword "register.")
    - desktop/seqpanel.c: Correct fputs argument order (accidentally left
      unswapped when substituting it for printf years ago).
  * Standards-Version: 4.7.0 (routine-update)
  * Rely on pre-initialized dpkg-architecture variables (routine-update)

 -- Aaron M. Ucko <ucko@debian.org>  Wed, 24 Jul 2024 21:56:34 -0400

ncbi-tools6 (6.1.20170106+dfsg2-2) unstable; urgency=medium

  * Don't rely on any implicit function declarations.  (Closes: #1066356.)
    - api/asn2gnb2.c: Correct the first(!) <asn2gnbi.h> to <ffprint.h>
      for PrintDate.
    - api/salutil.c: +<alignmgr2.h> for AlnMgr2IndexSingleChildSeqAlign.
    - vibrant/shim3d.h: Add a prototype for Nlm_SetOGLContext and
      supporting forward declarations.  (Some name clashes preclude
      reliably including X headers from here.)
  * debian/control: Apply routine-update.
    - List fields in its preferred order.
    - Wrap lists to hold one item per line.
    - Standards-Version: 4.6.2 (no changes needed).
    - Drop ncbi-cn3d's Breaks/Replaces on ancient ncbi-tools-x11.

 -- Aaron M. Ucko <ucko@debian.org>  Tue, 19 Mar 2024 23:21:24 -0400

ncbi-tools6 (6.1.20170106+dfsg2-1) unstable; urgency=medium

  * Incorporate final time64 changes; the previous two uploads used
    6.1.20170106+dfsg1-10.1~exp2 as their basis.  Adjust ...-1~exp1's
    changelog entry accordingly, dropping the Closes: annotation and the
    note about properly handling multi-library .symbols files.
  * debian/control: Trim redundant versioned build dependencies on
    dpkg-dev; a single mention in B-D should suffice.
  * debian/rules: Don't explicitly opt into time64 anywhere.  The final
    version of the NMU added a suitable versioned B-D on dpkg-dev, and the
    explicit logic (formally?) overshot on hurd-i386 and any even less
    official i386 architectures.  (RIP kfreebsd-i386.)

 -- Aaron M. Ucko <ucko@debian.org>  Fri, 01 Mar 2024 08:59:45 -0500

ncbi-tools6 (6.1.20170106+dfsg2-1~exp2) experimental; urgency=medium

  * debian/rules: Explicitly opt back out of the time64 ABI on i386.

 -- Aaron M. Ucko <ucko@debian.org>  Mon, 26 Feb 2024 21:38:36 -0500

ncbi-tools6 (6.1.20170106+dfsg2-1~exp1) experimental; urgency=medium

  * New tarball, with the webdesign subtree dropped; at least some of its
    content was generated but supplied without corresponding sources and
    inputs, and nothing from there was getting packaged anyway.
  * Merge initial (NMU-ed) time64 changes.
  * debian/{.gitignore,libncbi6t64.doc-base,*.lintian-overrides,*.symbols}:
    Correct stray references to old library package names.  NB: These
    lintian-overrides tuneups drop post-colon package names altogether.
  * debian/copyright (Files-Excluded):
    - Drop spurious leading ncbi/.
    - Add webdesign.
  * debian/rules: Explicitly enable the time64 ABI for now.
  * debian/watch: Update for bump to +dfsg2.

 -- Aaron M. Ucko <ucko@debian.org>  Sun, 18 Feb 2024 21:10:49 -0500

ncbi-tools6 (6.1.20170106+dfsg1-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064245

 -- Steve Langasek <vorlon@debian.org>  Fri, 01 Mar 2024 10:43:06 +0000

ncbi-tools6 (6.1.20170106+dfsg1-10) unstable; urgency=medium

  * debian/.ncbirc: Help igblast find the auxiliary data it will ship.
  * debian/source/lintian-overrides: Ignore spurious source-is-missing for

