## ncbi-tools6 6.1.20170106+dfsg1

=== biostruc/newVSch/Makefile ===
#
# $Id: Makefile,v 1.1 2005/07/26 17:05:42 chenj Exp $
#
# Author: Jie Chen
# Build cgi for new VS
#
# $Log: Makefile,v $
# Revision 1.1  2005/07/26 17:05:42  chenj
# Making linux version cgi
#
#
#
#
#


APP_PROJ = VSMmdb VSNbr

srcdir = /net/cis/export/home/web/public/htdocs/Structure/chenj/vast/VSchDB
#include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Debug/build/Makefile.meta
include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Release/build/Makefile.meta
