=== webdesign/designs/cubby/storedsearch/Templates/Makefile ===

dist:
	scp *.html *.css *.jpg Blueprint/* mjohnson@graceland:html/DesignReviews/CubbyEmail/v1.3
