=== debian/tests/control ===
Tests: run-unit-test
Depends: netcat, @
Restrictions: allow-stderr
