## ncbi-tools6 6.1.20170106+dfsg2

=== biostruc/VastAlign/Makefile ===
#
# $Id: Makefile,v 1.2 2005/07/26 15:41:15 chenj Exp $
#
# Author: Jie Chen
# Build cgi vastalign
#
# $Log: Makefile,v $
# Revision 1.2  2005/07/26 15:41:15  chenj
# minor changes
#
#
# Revision 1.1  2005/07/25 22:31:42  chenj
# using lib center on frosty
#
#
#



APP_PROJ = VastAlign

srcdir = /net/cis/export/home/web/public/htdocs/Structure/chenj/vast/VastAlign
#include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Debug/build/Makefile.meta
include /net/frosty/vol/export1/pubchem/Libraries/c++/GCC342-Release/build/Makefile.meta
