=== debian/watch ===
version=4
opts="passive,uversionmangle=s|^|6.1.|,downloadurlmangle=s/$/ncbi.tar.gz/,dversionmangle=s/\+dfsg\d*//,repacksuffix=+dfsg2" \
https://ftp.ncbi.nih.gov/toolbox/ncbi_tools/old/ (\d{8}[a-z]*)/
